Commit 128a7d01 authored by Leo's avatar Leo

community/py3-psycopg2: upgrade to 2.8.6

parent 26cfd5b7
Pipeline #49626 skipped
# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
pkgname=py3-psycopg2
pkgver=2.8.5
pkgver=2.8.6
pkgrel=0
pkgdesc="PostgreSQL adapter for python"
options="!check" # Requires running database
url="http://initd.org/psycopg"
arch="all"
license="LGPL-2.0-or-later"
makedepends="postgresql-dev python3-dev py3-setuptools"
checkdepends="py3-tox"
source="https://files.pythonhosted.org/packages/source/p/psycopg2/psycopg2-$pkgver.tar.gz"
builddir="$srcdir/psycopg2-$pkgver"
......@@ -17,11 +17,11 @@ build() {
}
check() {
tox --sitepackages
make check
}
package() {
python3 setup.py install --prefix=/usr --root="$pkgdir"
}
sha512sums="d4cf9b94573b90fe56555ea5cf841aa0c4c806770f92f35a7ef2531999bb50f98eb1276e56f1540b5f2695e443bac7e9cb8bbfbd24ed82164f99663259d2da3e psycopg2-2.8.5.tar.gz"
sha512sums="1e1d5d8755c6d1a153d84210bf29902afafe853659d709e13abc6bc5772def13779d2394690af1c544384c9c607edc0fe5cf2763244fb346febf9a9e0032b45f psycopg2-2.8.6.tar.gz"
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment